/*
 * 图片地址
 */
var pUrl = url_static + '/';
var pUpload = url_static + '/';
var GiftUrl = url_static + '/goods/';
var wsUrl = "/ws/user";
var url_static = "http://image.cache.xiu8.com";
/*
 *  全局性参数
 */
var Model_Par={
	RemoveDiv : null,
	RemoveElement : function(el) {
		if(Model_Par.RemoveDiv == null) {
			Model_Par.RemoveDiv = document.createElement('div');
		}
		el.unbind();
		el.html('');
		$(Model_Par.RemoveDiv).append(el);
		Model_Par.RemoveDiv.innerHTML = '';
	},
    /*
     *  是否已在当前房间中
     */
    IsInRoom:false,
    scroll_public:true,
    srcoll_private:true,
    /*
     * 是否连接上socket
     */
    Loginsucces:false,
    /*
     * 房间是否开播
     */
    Roomstatus:false,
    /*
     * 房间直播名
     */
    Roomname:'',
    /*
     * 表情服务器地址
     */
    //FaceUrl:"http://192.168.26.108:8085/images/room/face/",
    FaceUrl:"emotion/",
    /*
     * 服务器地址(大厅地址)
     */
    LocaURL:'http://www.xiu8.com/',
    /* 申请开通主播的地址 */
    MicURL:'http://www.xiu8.com/anchorApply.jspa',
    /*
     * 充值地址
     */
    RechargeUrl:'http://order.xiu8.com/',
    /*
     * 视频播放器ID
     */
    MicName:'v_Player',
    /*
     * 替换所有HTML危险输入
     */
    RegHtml:'<([^>]*)>',
    /*
     * URL替换
     */
    RegUrl:/(https|http|ftp|rtsp|mms):\/\/[\w-]*(\.[\w-]*)+/ig,
    /*
     * 打开副麦的数量
     */
    OpenFW:0,
    /*
     * 礼物对象
     */
    GifObj:null,
    /*
     * 当前聊天对象
     */
    ChartUser:null,
    /*
     * 聊天对象列表列表
     */
    ChartUserList:[],
    /*
     * 是否显示聊天对象快捷选择
     */
    Show_ChartUser:false,
    /*
     * 当前送礼对象
     */
    GifUser:null,
    /*
     * 送礼物的对象列表
     */
    GifUserList:[],
    /*
     * 是否显示礼物接收人快捷选项
     */
    Show_GifUser:false,
    RoomTitle:['欢迎来到我的直播间',
							 '喜欢我请点击关注',
							 '我一直很努力，请支持我',
							 '你的支持是我前进的动力',
							 '谢谢大家的支持'],
		GetRoomTitle : function() {
			var i = Math.floor(Math.random() * 5);
			return Model_Par.RoomTitle[i];
		},
    /*
     * 礼物数量快捷选项
     */
    GifNoList:{50:{msg:"V(50)",img:"50",cs:"1",no:"50",id:"v"},
              99:{msg:"心(99)",img:"99",cs:"2",no:"99",id:"xin"},
              100:{msg:"笑脸(100)",img:"100",cs:"3",no:"100",id:"xiaolian"},
              300:{msg:"LOVE(300)",img:"300",cs:"4",no:"300",id:"love"},
              520:{msg:"爱之箭(520)",img:"520",cs:"5",no:"520",id:"v520"},
              999:{msg:"比翼双飞(999)",img:"999",cs:"6",no:"999",id:"x"},
              1314:{msg:"一生一世(1314)",img:"1314",cs:"7",no:"1314",id:"v1314"}
          },
    /*
     * 登录房间欢迎词
     */
    LoginRomMsg:{
        "-1":{msg:'欢迎 {1}{0}进入房间'},
        1:{msg:'欢迎 {1}{0}进入房间'},
        2:{msg:'欢迎 {1}<span class="mar_r_c_open_lv fl_2"></span>勇士{0}进入房间'},
        3:{msg:'欢迎 {1}<span>细嗅蔷薇的</span><span class="mar_r_c_open_lv fl_3"></span>骑士{0}进入房间'},
        4:{msg:'欢迎 {1}<span>翩翩年少的</span><span class="mar_r_c_open_lv fl_4"></span>勋爵{0}进入房间'},
        5:{msg:'欢迎 {1}<span>风流倜傥的</span><span class="mar_r_c_open_lv fl_5"></span>男爵{0}进入房间'},
        6:{msg:'欢迎 {1}<span >惊才风逸的</span><span class="mar_r_c_open_lv fl_6"></span>子爵{0}进入房间'},
        7:{msg:'<span>才貌双全的</span><span class="mar_r_c_open_lv fl_7"></span>伯爵{0}闪亮登场，众人鼓掌欢迎'},
        8:{msg:'<span>气宇轩昂的</span><span class="mar_r_c_open_lv fl_8"></span>侯爵{0}闪亮登场，众人鼓掌欢迎'},
        9:{msg:'<span>佩金带紫的</span><span class="mar_r_c_open_lv fl_9"></span>公爵{0}闪亮登场，众人鼓掌欢迎'},
        10:{msg:'<span>崧生岳降的</span><span class="mar_r_c_open_lv fl_10"></span>大公{0}闪亮登场，众人鼓掌欢迎'},
        11:{msg:'<span>雄才大略的</span><span class="mar_r_c_open_lv fl_11"></span>亲王{0}闪亮登场，众人鼓掌欢迎'},
        12:{msg:'<span>名德重望的</span><span class="mar_r_c_open_lv fl_12"></span>王储{0}闪亮登场，众人鼓掌欢迎'},
        13:{msg:'<span>德被四方的</span><span class="mar_r_c_open_lv fl_13"></span>国王{0}闪亮登场，众人鼓掌欢迎'}
    },
    /*
     * 是否显示礼物数量快捷选项
     */
    Show_GifNo:false,
    /*
     * 表情框是否打开
     */
    ShowFace:false,
    /*
     * 表情类型
     */
    //FaceType:{1:{id:1,t:'普通',u:0,l:0,v:0},3:{id:3,t:'高级',u:0,l:5,v:0},4:{id:3,t:'VIP',u:0,l:0,v:1}},
    FaceType:{1:{id:1,t:'普通',u:0,l:0,v:0},4:{id:3,t:'VIP',u:0,l:0,v:1}},
    /*
     * 表情
     */
    FaceSymbols:{241001:{t:"安慰", use:1},241002:{t:"傲慢", use:1},241003:{t:"白眼", use:1},241004:{t:"扮鬼脸", use:1},241005:{t:"抱抱", use:1},241006:{t:"鄙视", use:1},241007:{t:"闭嘴", use:1},241008:{t:"擦汗", use:1},241009:{t:"大哭", use:1},241010:{t:"得瑟", use:1},241011:{t:"发呆", use:1},241012:{t:"发怒", use:1},241013:{t:"奋斗", use:1},241014:{t:"勾引", use:1},241015:{t:"鼓掌", use:1},241016:{t:"哈欠", use:1},241017:{t:"害羞", use:1},241018:{t:"憨笑", use:1},241019:{t:"坏笑", use:1},241020:{t:"饥饿", use:1},241021:{t:"加油", use:1},241022:{t:"左哼哼", use:1},241023:{t:"右哼哼", use:1},241024:{t:"惊讶", use:1},241025:{t:"可爱", use:1},241026:{t:"可怜", use:1},241027:{t:"抠鼻", use:1},241028:{t:"酷", use:1},241029:{t:"快哭了", use:1},241030:{t:"狂汗", use:1},241031:{t:"困", use:1},241032:{t:"冷汗", use:1},241033:{t:"流汗", use:1},241034:{t:"流泪", use:1},241035:{t:"难过", use:1},241036:{t:"撇嘴", use:1},241037:{t:"敲打", use:1},241038:{t:"亲亲", use:1},241039:{t:"糗大了", use:1},241040:{t:"拳头", use:1},241041:{t:"色", use:1},241042:{t:"石化", use:1},241043:{t:"衰", use:1},241044:{t:"睡", use:1},241045:{t:"调皮", use:1},241046:{t:"偷笑", use:1},241047:{t:"吐", use:1},241048:{t:"微笑", use:1},241049:{t:"无语", use:1},241050:{t:"吓", use:1},241051:{t:"虚", use:1},241052:{t:"疑问", use:1},241053:{t:"阴险", use:1},241054:{t:"惊恐", use:1},241055:{t:"晕", use:1},241056:{t:"再见", use:1},241057:{t:"折磨", use:1},241058:{t:"咒骂", use:1},241059:{t:"抓狂", use:1},241060:{t:"龇牙", use:1},243001:{t:"得意的笑", use:3},243002:{t:"hold住", use:3},243003:{t:"巨汗", use:3},243004:{t:"扣鼻屎", use:3},243005:{t:"求关注", use:3},243006:{t:"痛哭", use:3},243007:{t:"偷笑", use:3},243008:{t:"威伍", use:3},243009:{t:"哇哈哈", use:3},243010:{t:"围观", use:3},243011:{t:"嘻嘻", use:3},243012:{t:"转发", use:3},243013:{t:"别烦我", use:3},243014:{t:"不好意思", use:3},243015:{t:"吃惊", use:3},243016:{t:"给力", use:3},243017:{t:"鼓掌", use:3},243018:{t:"好囧", use:3},243019:{t:"纠结", use:3},243020:{t:"喜欢", use:3},243021:{t:"瀑布汗", use:3},243022:{t:"羞答答", use:3},243023:{t:"许愿", use:3},243024:{t:"抓狂", use:3},243025:{t:"爱你哦", use:3},243026:{t:"悲催", use:3},243027:{t:"不想上班", use:3},243028:{t:"喝多了", use:3},243029:{t:"杰克逊", use:3},243030:{t:"拉拉拉拉", use:3},243031:{t:"雷锋", use:3},243032:{t:"露骨", use:3},243033:{t:"悄悄", use:3},243034:{t:"帅帅", use:3},243035:{t:"同意", use:3},243036:{t:"狂躁症", use:3},243037:{t:"采访", use:3},243038:{t:"发表言论", use:3},243039:{t:"复活节", use:3},243040:{t:"好棒", use:3},243041:{t:"互相膜拜", use:3},243042:{t:"互相拍砖", use:3},243043:{t:"困死了", use:3},243044:{t:"膜拜", use:3},243045:{t:"拍砖", use:3},243046:{t:"想一想", use:3},243047:{t:"有压力", use:3},243048:{t:"愚人节", use:3},243049:{t:"被电", use:3},243050:{t:"放电泡妹", use:3},243051:{t:"赶火车", use:3},243052:{t:"接火车", use:3},243053:{t:"金秀币", use:3},243054:{t:"牛", use:3},243055:{t:"丘比特", use:3},243056:{t:"闪电", use:3},243057:{t:"推荐", use:3},243058:{t:"赞", use:3},243059:{t:"招财", use:3},243060:{t:"中奖", use:3},244001:{t:"变异", use:4},244002:{t:"哔哔", use:4},244003:{t:"别过来", use:4},244004:{t:"拜拜", use:4},244005:{t:"颤抖", use:4},244006:{t:"吃饭", use:4},244007:{t:"仇视", use:4},244008:{t:"大哭", use:4},244009:{t:"得瑟", use:4},244010:{t:"得意", use:4},244011:{t:"感动", use:4},244012:{t:"哼", use:4},244013:{t:"晃", use:4},244014:{t:"剪", use:4},244015:{t:"惊恐", use:4},244016:{t:"揪脸", use:4},244017:{t:"看好你", use:4},244018:{t:"靠", use:4},244019:{t:"咳咳", use:4},244020:{t:"杀手", use:4},244021:{t:"功夫", use:4},244022:{t:"狂汗", use:4},244023:{t:"困", use:4},244024:{t:"哭泣", use:4},244025:{t:"大笑", use:4},244026:{t:"流口水", use:4},244027:{t:"卖萌", use:4},244028:{t:"拜", use:4},244029:{t:"喷血", use:4},244030:{t:"飘过", use:4},244031:{t:"枪击", use:4},244032:{t:"切", use:4},244033:{t:"欺负我", use:4},244034:{t:"圈圈眼", use:4},244035:{t:"扫射", use:4},244036:{t:"上香", use:4},244037:{t:"闭嘴", use:4},244038:{t:"鞭策", use:4},244039:{t:"抽烟", use:4},244040:{t:"弹", use:4},244041:{t:"舔", use:4},244042:{t:"贴", use:4},244043:{t:"挖鼻", use:4},244044:{t:"我倒", use:4},244045:{t:"我来了", use:4},244046:{t:"无语", use:4},244047:{t:"晕", use:4},244048:{t:"意淫", use:4},244049:{t:"僵尸", use:4},244050:{t:"诅咒你", use:4}},
    //FaceSymbols:{241001:{t:"狂笑", use:1},241002:{t:"龇牙", use:1},241003:{t:"惊讶", use:1},241004:{t:"可爱", use:1},241005:{t:"偷笑", use:1},241006:{t:"抓狂", use:1},241007:{t:"大哭", use:1},241008:{t:"色", use:1},241009:{t:"坏笑", use:1},241010:{t:"发怒", use:1},241011:{t:"尴尬", use:1},241012:{t:"阴险", use:1},241013:{t:"鼓掌", use:1},241014:{t:"给力", use:1},241015:{t:"白眼", use:1},241016:{t:"抠鼻", use:1},241017:{t:"强", use:1},241018:{t:"胜利", use:1},241019:{t:"OK", use:1},241020:{t:"抱拳", use:1},241021:{t:"囧", use:1},241022:{t:"淡定", use:1},241023:{t:"美女", use:1},241024:{t:"靓仔", use:1},241025:{t:"飞吻", use:1},241026:{t:"眨眼", use:1},241027:{t:"V5", use:1},241028:{t:"来吧", use:1},241029:{t:"围观", use:1},241030:{t:"飘过", use:1},241031:{t:"地雷", use:1},241032:{t:"菜刀", use:1},241033:{t:"审视", use:1},241034:{t:"无语", use:1},241035:{t:"亲亲", use:1},241036:{t:"勾引", use:1},241037:{t:"后后", use:1},241038:{t:"吐血", use:1},241039:{t:"媚眼", use:1},241040:{t:"愁人", use:1},241041:{t:"肿么了", use:1},241042:{t:"调戏", use:1},241043:{t:"抽", use:1},241044:{t:"哼哼", use:1},241045:{t:"鄙视", use:1},241046:{t:"鸡冻", use:1},241047:{t:"眼馋", use:1},241048:{t:"热汗", use:1},241049:{t:"石化", use:1},241050:{t:"哭", use:1},241051:{t:"骂", use:1},241052:{t:"狂哭", use:1},241053:{t:"狂汗", use:1},241054:{t:"调皮", use:1},241055:{t:"拥抱", use:1},241056:{t:"奋斗", use:1},241057:{t:"饥饿", use:1},241058:{t:"敲打", use:1},241059:{t:"疑问", use:1},241060:{t:"再见", use:1},243001:{t:"得意的笑", use:3},243002:{t:"hold住", use:3},243003:{t:"巨汗", use:3},243004:{t:"扣鼻屎", use:3},243005:{t:"求关注", use:3},243006:{t:"痛哭", use:3},243007:{t:"偷笑", use:3},243008:{t:"威伍", use:3},243009:{t:"哇哈哈", use:3},243010:{t:"围观", use:3},243011:{t:"嘻嘻", use:3},243012:{t:"转发", use:3},243013:{t:"别烦我", use:3},243014:{t:"不好意思", use:3},243015:{t:"吃惊", use:3},243016:{t:"给力", use:3},243017:{t:"鼓掌", use:3},243018:{t:"好囧", use:3},243019:{t:"纠结", use:3},243020:{t:"喜欢", use:3},243021:{t:"瀑布汗", use:3},243022:{t:"羞答答", use:3},243023:{t:"许愿", use:3},243024:{t:"抓狂", use:3},243025:{t:"爱你哦", use:3},243026:{t:"悲催", use:3},243027:{t:"不想上班", use:3},243028:{t:"喝多了", use:3},243029:{t:"杰克逊", use:3},243030:{t:"拉拉拉拉", use:3},243031:{t:"雷锋", use:3},243032:{t:"露骨", use:3},243033:{t:"悄悄", use:3},243034:{t:"帅帅", use:3},243035:{t:"同意", use:3},243036:{t:"狂躁症", use:3},243037:{t:"采访", use:3},243038:{t:"发表言论", use:3},243039:{t:"复活节", use:3},243040:{t:"好棒", use:3},243041:{t:"互相膜拜", use:3},243042:{t:"互相拍砖", use:3},243043:{t:"困死了", use:3},243044:{t:"膜拜", use:3},243045:{t:"拍砖", use:3},243046:{t:"想一想", use:3},243047:{t:"有压力", use:3},243048:{t:"愚人节", use:3},243049:{t:"被电", use:3},243050:{t:"放电泡妹", use:3},243051:{t:"赶火车", use:3},243052:{t:"接火车", use:3},243053:{t:"金元宝", use:3},243054:{t:"牛", use:3},243055:{t:"丘比特", use:3},243056:{t:"闪电", use:3},243057:{t:"推荐", use:3},243058:{t:"赞", use:3},243059:{t:"招财", use:3},243060:{t:"中奖", use:3},244001:{t:"变异", use:4},244002:{t:"哔哔", use:4},244003:{t:"别过来", use:4},244004:{t:"拜拜", use:4},244005:{t:"颤抖", use:4},244006:{t:"吃饭", use:4},244007:{t:"仇视", use:4},244008:{t:"大哭", use:4},244009:{t:"得瑟", use:4},244010:{t:"得意", use:4},244011:{t:"感动", use:4},244012:{t:"哼", use:4},244013:{t:"晃", use:4},244014:{t:"剪", use:4},244015:{t:"惊恐", use:4},244016:{t:"揪脸", use:4},244017:{t:"看好你", use:4},244018:{t:"靠", use:4},244019:{t:"咳咳", use:4},244020:{t:"杀手", use:4},244021:{t:"功夫", use:4},244022:{t:"狂汗", use:4},244023:{t:"困", use:4},244024:{t:"哭泣", use:4},244025:{t:"大笑", use:4},244026:{t:"流口水", use:4},244027:{t:"卖萌", use:4},244028:{t:"拜", use:4},244029:{t:"喷血", use:4},244030:{t:"飘过", use:4},244031:{t:"枪击", use:4},244032:{t:"切", use:4},244033:{t:"欺负我", use:4},244034:{t:"圈圈眼", use:4},244035:{t:"扫射", use:4},244036:{t:"上香", use:4},244037:{t:"闭嘴", use:4},244038:{t:"鞭策", use:4},244039:{t:"抽烟", use:4},244040:{t:"弹", use:4},244041:{t:"舔", use:4},244042:{t:"贴", use:4},244043:{t:"挖鼻", use:4},244044:{t:"我倒", use:4},244045:{t:"我来了", use:4},244046:{t:"无语", use:4},244047:{t:"晕", use:4},244048:{t:"意淫", use:4},244049:{t:"僵尸", use:4},244050:{t:"诅咒你", use:4}},
     /*
     * 表情框的行数
     */
    FaceRow:5,
    /*
     * 表情框的列数
     */
    FaceCell:14,
    /*
     * 表情当前页码地址
     */
    FacePageNow:0,
    /*
     * 表情框总页码
     */
    FacePageSzie:0,
    /*
     * 悬停菜单是否显示
     */
    POPMENU_SHOW1:false,
    /*
     * 广播输入框默认文字
     */
    sugStr : "输入文字不超过50个。每次广播花费2000秀币。",
    /*
     * 获取SWF句柄
     */
    GetObjectByID:function(movieName){
        return swfobject.getObjectById(movieName);
    },
    Gifts_base: url_static + '/gifts/super/shapegifts/',
    /*
     *造型配置
     */
    Gifts_path:{
        v:"v.xml?v=1",
        xiaolian:"xiaolian.xml?v=1",
        love:"love.xml?v=1",
        xin:"xin.xml?v=1",
        x:"x.xml?v=1",
        v520:"v520.xml?v=1",
			  v1314:"v1314.xml?v=1"
    },
    ShowPres : true,
    ShowGift : true,
    ShowShape : true,
    ShowFly : true,
    ShowCar : true,
    ShowAll : true,
    ChangeShowFlag : function(){
        var flag = this.ShowAll = !this.ShowAll;
        if(flag) {
            $('#Close_all').find('span').html('关闭特效');
            $('#Close_all').find('.infmsg').html('<em class="infmsg-em"></em>' + '房间内所有动画效果已开启，点击可以关闭。');
        } else {
            $('#Close_all').find('span').html('开启特效');
            $('#Close_all').find('.infmsg').html('<em class="infmsg-em"></em>' + '房间内所有动画效果已关闭，点击可以开启。');
        }
        this.ShowPres = flag;
        this.ShowShape = flag;
        this.ShowGift = flag;
        this.ShowCar = flag;
    },
    
    /**
     * 彩条
     */
    ColorList:{1:{title:'好',path: '<img src="' + url_static + '/images1/ico/colorbar/4-1.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-2.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-3.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-4.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-5.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-5.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-4.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-3.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-2.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/4-1.gif" alt="" />'}
                , 2: {title:'加油',path:'<img src="' + url_static + '/images1/ico/colorbar/6-1.gif" alt="" /><img src="'+url_static+'/images1/ico/colorbar/6-2.gif" alt="" /><img src="' + url_static + '/images1/ico/colorbar/2.gif" alt="" /><img src="' + url_static +'/images1/ico/colorbar/6-2.gif" alt="" /><span class="colorbar_refuel">^(oo)^... </span>'}
                , 3: {title:'啪啪啪',path:'<span class="colorbar_papa">啪啪啪▂▃▄▅▆▇█▇▆▅▄▃▂</span><img src="' + url_static +'/images1/ico/colorbar/1.gif" alt="" />'}
                , 4: {title:'非常好听',path:'<span class="cbar_nice">▁▂▃</span><span class="colorbar_nice">▄</span><span class="colorbar_nice2">▅</span><span class="colorbar_nice3">▆</span><span class="cbar_nice4">▇</span><span class="cbar_font">非常好听</span><span class="cbar_nice2">▇</span><span class="cbar_nice3">▆</span><span class="cbar_nice5">▅</span><span class="cbar_nice6">▄</span><span class="cbar_nice7">▃▂▁</span>'}
                , 5: {title:'太感动了',path:'<img src="' + url_static + '/images1/ico/colorbar/7-1.gif" alt=""><img src="' + url_static + '/images1/ico/colorbar/7-2.gif" alt=""><img src="' + url_static + '/images1/ico/colorbar/7-3.gif" alt=""><span class="cbar_moving">Good</span><img src="' + url_static + '/images1/ico/colorbar/7-4.gif" alt=""><img src="' + url_static + '/images1/ico/colorbar/7.gif" alt=""><span class="cbar_moving1">&nbsp;太感动了～!&nbsp;</span><img src="' + url_static + '/images1/ico/colorbar/7-4.gif" alt=""><img src="' + url_static + '/images1/ico/colorbar/7-5.gif" alt=""><img src="' + url_static + '/images1/ico/colorbar/7-6.gif" alt="">'}
               }
};

/*
 *  时间转换的函数
 */
var Aptime={
    sToHours:function (h) {
        // e 小时，g分，f秒
        var e,g,f;

        f=h%60;
        f=f>=10?f:"0"+f;

        h=Math.floor(h/60);
        g=h%60;
        g=g>=10?g:"0"+g;

        h=Math.floor(h/60);
        e=h%60;
        h=Math.floor(h/60);
        e=e>=10?e:"0"+e;
        if(e>24) {
            return "23:59:59"
        }else {
            if(e<1) {
                return g+":"+f
            }else {
                return e+":"+g+":"+f
            }
        }
    },
    stoHoursEx:function (h) {
        var f=new Date(h*1000);
        var e=f.getHours();
        e=e<10?"0"+e:e;
        var g=f.getMinutes();
        g=g<10?"0"+g:g;
        return e+":"+g
    },
    sToDate:function (m) {
        var d=new Date(m*1000);
        var h=d.getFullYear();
        var f=d.getMonth()+1;
        f=f<10?"0"+f:f;
        var k=d.getDate();
        k=k<10?"0"+k:k;
        var n=d.getHours();
        n=n<10?"0"+n:n;
        var l=d.getMinutes();
        l=l<10?"0"+l:l;
        return h+"-"+f+"-"+k+" "+n+":"+l
    },
    sToDate2:function (m) {
        var d=new Date(m*1000);
        var h=d.getFullYear();
        var f=d.getMonth()+1;
        f=f<10?"0"+f:f;
        var k=d.getDate();
        k=k<10?"0"+k:k;
        var n=d.getHours();
        n=n<10?"0"+n:n;
        var l=d.getMinutes();
        l=l<10?"0"+l:l;
        return f+"-"+k+" "+n+":"+l
    },
    sToStr:function (h) {
        var e,g,f;
        f=h%60;
        h=Math.floor(h/60);
        g=h%60;
        h=Math.floor(h/60);
        e=h%60;
        h=Math.floor(h/60);
        return (e>0?e+"小时":"")+(g>0?g+"分":"")+(f>0?f+"秒":"")
    },
    toTime:function (h,f,j,l,k,d) {
        return new Date(h,f-1,j,l||0,k||0,d||0).getTime()/1000
    },
    tdesc:function (j,k) {
        if(isNaN(j)) {
            return j
        }
        var d=(k||new Date().getTime()/1000)-j;
        if(d<1) {
            return "1秒前"
        }else {
            if(d<60) {
                return Math.ceil(d)+"秒前"
            }else {
                if(d<3600) {
                    var h=Math.ceil(d/60);
                    return h+"分钟前"
                }else {
                    if(d<86400) {
                        var l=Math.ceil(d/3600);
                        return l+"小时前"
                    }else {
                        var i=Math.ceil(d/86400);
                        return i+"天前"
                    }
                }
            }
        }
    },
    parseTime:function (c,i) {
        var h=new Date();
        h.setTime(c*1000);
        var k=h.getFullYear(),j=h.getMonth()+1,j=j>9?j:"0"+j,l=h.getDate(),l=l>9?l:"0"+l;
        i=i?i:"-";
        return k+i+j+i+l
    },
    formatDate:function(date,formatStr) {
        var str = formatStr;
        var Week = ['日','一','二','三','四','五','六'];

        str=str.replace(/yyyy|YYYY/,date.getFullYear());
        str=str.replace(/yy|YY/,(date.getYear() % 100)>9?(date.getYear() % 100).toString():'0' + (date.getYear() % 100));

        str=str.replace(/MM/,date.getMonth()>9?date.getMonth().toString():'0' + date.getMonth());
        str=str.replace(/M/g,date.getMonth());

        str=str.replace(/w|W/g,Week[date.getDay()]);

        str=str.replace(/dd|DD/,date.getDate()>9?date.getDate().toString():'0' + date.getDate());
        str=str.replace(/d|D/g,date.getDate());

        str=str.replace(/hh|HH/,date.getHours()>9?date.getHours().toString():'0' + date.getHours());
        str=str.replace(/h|H/g,date.getHours());
        str=str.replace(/mm/,date.getMinutes()>9?date.getMinutes().toString():'0' + date.getMinutes());
        str=str.replace(/m/g,date.getMinutes());

        str=str.replace(/ss|SS/,date.getSeconds()>9?date.getSeconds().toString():'0' + date.getSeconds());
        str=str.replace(/s|S/g,date.getSeconds());

        return str;

    }
};

function Destroy(){
    if (navigator.appName == "Microsoft Internet Explorer") {
        CollectGarbage();
    }
};

var Room = Room || {};

Room.Client = {
    /*
     * 客戶端JS的指令派发的控制中心。所有的派发都在这里完成。
     */
DoJsCenter:{
    /* 普通的聊天信息--用户对用户 */
    "101" : function(params) {
        /* {fNick:"tidus78",toNick:所有人,fUId:9100,toUId:0,msg:"的风格大方",t:1314257096531,priv:001[悄悄话]-其它则否} */
		
        Room.Chart.SetPublicMsg(params);
    },
    /* 房间系统返回消息处理 */
    "102" : function(params) {
        Room.Chart.CallBack_SysNotes(params.content);
    },
    /*
     * 用户进入房间提示
     */
    "103" : function(params) {
        /*{fNick,fUid,lv,t}*/
        var content = params.content;
        var s = Model_Par.LoginRomMsg[1].msg;
        var p_class = "gray6";
        var str = '';
        str += '<span>' +Aptime.stoHoursEx((content.t / 1000)) + '</span>';
        str += s.split('{0}')[0].replace("{1}", "");
        str += Utils.getUserMsgStr({uid:content.fi, unick:content.fn, mlv: content.mlv,vip:content.vip, cool_id:content.surfing, mList:content.fmList});
        str += s.split('{0}')[1];
        if(content.mount != null && content.mount != '' && content.mount.length > 0) {
            str = '<p class="gray6">' + str + '</p>';
            str += '<div class="clearfix">';
            str += '<p class="fl DemoCar"><img src="' + url_static + '/car/' + content.mounturl + '" class="sports_car_fk" style="width: 115px;"/></p>';
            str += '<p class="fl ml10">';
            str += '<span class="">';
            str += '<img src="' + url_static + '/car/' + content.mountbrand + '" align="absmiddle">' + content.mount;
            str += '</span>';
            if(parseInt(content.surfing) > 0) {
                str += '<br>';
                str += '<span class="uid">' + content.surfing + '</span>';
            } else {
                str += '<br>';
				str += '<span class="uid"><a href="http://www.xiu8.com/mall/number" target="_blank">立刻领取车牌</a></span>';
            }
            str += '</div>';
            p_class = "car";
        }
        Room.Chart.ShowPublicMsg(str , p_class);
		 Destroy();
    },
    /* 主播信息 */
    "104" : function(params) {
        /*content:{"title":"","uid":"9100","nick":"","t":"0"}*/
        var content = params.content;
        $("#p_roomtitle").html(content.title == '' ? Model_Par.GetRoomTitle() : content.title);
        
        var a = parseInt(content.t);
        
        if(a > 0){
            page.starttime = a;
            $("#b_start_time").html("开播时间："+Aptime.stoHoursEx(a/1000));
        }
        else{
            $("#b_start_time").html("开播时间：暂无直播");
        }
        
        if(page.uid != page.rid){
            if(content.cid != null){
                var a = parseInt(content.cid);
                switch(a){
                    case 0:
                        Room.Client.StopStream();
                        break;
                    case 1:
                        Room.Client.StopStream();
                        break;
                    case 2:
                        //swfobject.embedSWF(SWF.viewer, 'v_Player', 460, 345, '10.0', 'apple/expressInstall.swf', {rid : page.rid,nick:page.pnick}, {wmode : 'Opaque'});
                        break;
                }
            }
        }
    },
    /*系统消息*/
    "105" : function(params) {
        params = params.content;
        if(params.msg && params.msg.length > 0 && params.msg[0].indexOf('停止直播') != -1) {
            if(page.rid == page.uid) {
                setTimeout(function(){location.replace(location.href)}, 5000);
            }
            return;
        }
        /*content:{msg:'',s:1,t:}*/
        var a = parseInt(params.t);
        var t = parseInt(params.s);
        //var str = "<span><b>"+Aptime.stoHoursEx(a/1000)+":"+params.msg+"<b></span>";
        var link = params.link;
        var str = '';
        if(!link || link == ""){
            str += '【系统消息】<a class="stm_messages_fk">'+params.msg+'</a>';
        } else {
            str += '【系统消息】<a class="stm_messages_fk" href="' + link + '" target="_blank">'+params.msg+'</a>';
        }
        
        if(t == 1){
            Room.Chart.ShowPublicMsg(str, "red");
        } else{
            Room.Chart.ShowPrivMsg(str, "red");
        }
        str = null;
        delete str;
        Destroy();
    },
    /*
     * 升级提示
     */
    "106" : function(params) {
        var content = params.content;
        var str = '';
        var t = "";
        var lv = content.level + "";
        if(lv.length < 2) {
            lv = "0" + lv;
        }
        if(content.isBro == 1){
            str = '快报: 恭喜 "'+content.nick+'" 主播等级提升到<em class="ul al' + lv + '" align="absmiddle"></em>';
        } else if(content.isBro == 2) {
            str = '快报: 恭喜 "'+content.nick+'" 会员等级升级到<em class="ul ul' + lv + '" align="absmiddle"></em>';
        } else {
            t = Medal.GetLvName(content.level);
            str = '快报: 恭喜 "'+content.nick+'" 富豪等级升级到<em class="ul ul' + lv + '" align="absmiddle"></em>';
        }
        Room.Chart.ShowPublicMsg(str, "red");
        str = null;
        delete str;
        Destroy();
    },
    /* 私房返回处理 */
    "107" : function(params) {
        /*{flag:101-成功、102-失败,msg:失败的原因,content:{url:如果成功则返回视频流地址,tm:时间刻度,maxtm:一场私聊的时间长度、单位秒,fuid:发起人编号,touid:接受人编号,fnick:发起人昵称,tonick:接收人昵称}}*/
        switch(params.flag){
            case "101":
                break;
            case "102":
                alert(params.msg);
                break;
        }
    },
    /* 房间公告 */
        "108" : function(params) {
            /*content:":{"msg":"sdfsdfsd","isp":0,"url":"",nick:'}*/
            if(params.content.isp == 0) {
                var note = params.content.msg;
                var url = params.content.url;
                if(url =="" && params.content.msg.indexOf("!")>0){
                    url = params.content.msg.split("!")[1];
                    note =params.content.msg.split("!")[0];
                }
                note =unescape(note);
                if(url != null && url != "" && url.length > 0){
					if(url.indexOf("order")>0){
						note = '<a href="javascript:charge()">' + note + '</a>';
					}else{
						//note = '<a href="' + url + '" target="_blank">' + note + '</a>';
						note = '<a>' + note + '</a>';
					}
                }
            	/*var note = Model_Par.html_encode2(unescape(params.content.msg));
            	var url = params.content.url;
            	if(url != null && url != "" && url.length > 0){
            		note = '<a href="' + url + '" target="_blank">' + note + '</a>';
            	}*/
            	if( params.content.msg == null || params.content.msg =='undefined'|| params.content.msg == ""){
            		var msg="房间公告：<a href='javascript:charge()'>欢迎来到我的直播间，点此充值</a>";
					 Room.Chart.ShowPublicMsg(msg, "red");
            	} else {
            		 Room.Chart.ShowPublicMsg('房间公告：' + note, "red");
            	}
            } else {
        		var str = '"<a id="wolcome_msg_room">' +unescape(params.content.nick) + '</a>" 对 <a>"您"</a> 说：' +unescape(params.content.msg);
                Room.Chart.ShowPrivMsg(str, "gray9");
                $('#txt_room_prv').val(unescape(params.content.msg));
                str = null;
                delete str;
                Destroy();
                
                if(page.uid <= 0){
                	if($('#div_chart_pri').find('.LOGIN_MSG').length == 0) {
	                	var login_shr = '<div align="center LOGIN_MSG"><a href="javascript:login()"><img src="img/present.gif"></a></div>';
	                  Room.Chart.ShowPrivMsg(login_shr);
                	}
                } else if(page.first_charge == 0){
                    var charge_shr = '<div align="center LOGIN_MSG"><a href="http://order.xiu8.com" target="_blank" onclick="if(_hmt){_hmt.push([\'_trackEvent\', \'zbj_shouchong_pop\', \'siliao\', \'zbj_shouchong_pop_'+ page.rid +'\', \'\']);}return true;"><img src="http://www.xiu8.com/assets/img/scy01.png" style="width:350px;"></a></div>';
                      Room.Chart.ShowPrivMsg(charge_shr);
                }
            }
        },
    /* 服务端返回歌单列表--当用户登陆后 */
    "109" : function(params) {
        /*content:[{tm:131400000,sname:歌曲名,fNick:点歌用户},{tm:131400000,sname:歌曲名,fNick:点歌用户}]*/
    },
    /* 超级礼物公告 */
    "110" : function(params) {
        /*{fNick:赠与人昵称,toNick:接受人昵称,fUId:赠与人编号,toUId:接收人编号,rid:房间编号,gifId:礼物编号,gifNum:礼物数量,tm:赠送时间}*/
    },
    /* 接受关闭辅麦的消息*/
    "111" : function(params) {
        //            /* {uid:发起辅麦用户的ID,rid:房间编号,uname:发起辅麦用户的昵称} */
    },
    /* 主播接受服务器发送的视屏流地址 */
    "112" : function(params) {
        var content = params.content;
        /* 设置显示效果 */
    },
    /* 辅麦的相关返回 */
    "114" : function(params) {
        
    },
    /* 送礼物后的相关处理 */
    "115" : function(params) {
        var obj = params.content;
        GifShow.SetGiftShow(params.content);
        if(typeof(piwikRoom) != "undefined") {
            piwikRoom.piwik_gift(params);
        }
    },
    /*
     * 接受主播等级
     */
    "116" : function(params) {
        
    },
    /*
     * 用户打开副麦返回
     */
    "117":function(params){
        
    },
    /*前五粉丝列表*/
    "120" : function(params) {
        /*{"uid":"9000","flui":"//xxxxxxx","nick":"TopFun0","cm":0,"flul":"4|1|0|0|0|1|1|5|2|0"}*/
        //Room.Chart.Insert_Fance(params);
    },
    "121" : function(params) {
    },
    /* 超管处理信息 */
    "130" : function(params) {
        params = params.content;
        var msg = '';
        var isP = false;
        var showMsg = true;
        switch(parseInt(params.sot)) {
        		//超管进场提示
            case 103:
                msg += '【提示】超级管理员';
                msg += '{0}';
                msg += '进入房间';
                break;
        		//超管警告提示
            case 105:
                msg += '超管  ';
                msg += '{0}';
                msg += '提示：';
                msg += params.msg;
                isP = true;
                break;
            case 106:
                showMsg = false;
                if(params.status == 0) {
                    $('#ROOM_VISIBLE_BN').find("span").addClass("no");
                } else {
                    $('#ROOM_VISIBLE_BN').find("span").removeClass("no");
                }
                location.replace(location.href);
                break;
        		//超管踢人操作
            case 201:
                msg += '【提示】超级管理员';
                msg += '{0}';
                msg += '把';
                msg += '{1}';
                msg += '踢出房间';
                break;
        		//超管禁言
            case 203:
                msg += '{1}'
                msg += '被';
                msg += '{0}'
                msg += '禁言'
                break;
        		//超管解除禁言
            case 204:
                
                break;
        		//超管转录像
            case 301:
                
                break;
        		//超管停止直播
            case 302:
                msg += '【提示】' + params.msg;
                isP = true;
                break;
        }
        if(showMsg) {
            var fUser = Utils.getUserMsgStr({uid:params.fi, unick:params.fn, mlv:params.fl, vip:params.fv, cool_id:params.fs, mList:params.fmList});
            var tUser = Utils.getUserMsgStr({uid:params.ti, unick:params.tn, mlv:params.tl, vip:params.tv, cool_id:params.ts, mList:params.tmList});
            msg = msg.replace("{0}", fUser);
            msg = msg.replace("{1}", tUser);
            if(isP) {
                Room.Chart.ShowPrivMsg(msg, "red");
            } else {
                Room.Chart.ShowPublicMsg(msg, "red");
            }
        }
    },
    /* 设置安全码 */
    "150" : function(params) {
        page.authKey = params.content.ak;
    },
    
    "151" : function(params) {
        
    },
    "152" : function(params) {
        var cid = parseInt(params.content.cid);
        switch(cid){
            case 1:/*警告*/
                alert('请文明直播');
                break;
            case 2:/*被踢*/
                alert('您被停止一小时直播');
                break;
            case 3:/*被封ID*/
                alert('您的ID被封，具体事宜请联系客服');
                break;
        }
    },
    "153" : function(params) {
    },
    /*本场之星提示*/
    "185":function(params){
        /*{"flag":"001","content":{"typeID":"185","content":{"uid":"81862811","nick":"泰达","t":1329271675557}}}*/
        /*Aptime.stoHoursEx((content.t / 1000))*/
        var obj = params.content;
        var msg = '热报："' + obj.nick + '" 成为本场皇冠粉丝';
        Room.Chart.ShowPublicMsg(msg, "red");
    },
    /* 零时活动 */
    "201" : function(params) {
        var obj = params.content;
        switch(params.content.type.toLowerCase()){
            case "getinfo":/*个人信息*/
                break;
            case "getchocolate":/*主播收到的巧克力数量和主播勋章列表*/
                break;
            case 'chocolatebrocast':/*送巧克力全站广播*/
                var msg = '<span>' + Aptime.stoHoursEx((obj.time / 1000)) + '</span>';
                msg += Utils.getUserMsgStr({uid:obj.uid, unick:obj.sendernick, vip:obj.fv, cool_id:obj.fs, mList:[]});
                msg += '送给';
                msg += Utils.getUserMsgStr({uid:obj.broid, unick:obj.bronick, vip:obj.tv, cool_id:obj.ts, mList:[]})
                msg += '一个千纸鹤<em class="gf_s gsid_qzh"></em>';
                
                Room.Chart.ShowPublicMsg(msg, "gray9");
                msg = null;
                delete msg;
                Destroy();
                break;
            case 'getmedal':/*用户获得勋章*/
                
                break;
        }
    },
    "202" : function(params) {
    },
    "203" : function(params) {
    },
    /*歌曲列表*/
    "245":function(params){
    },
    /*当场收到的礼物列表*/
    "246":function(params){
    },
    /*如果发送的是库存的礼物，返回刷新列表*/
    "275":function(params) {
    },
    /* 超级礼物跑道 */
    "301" : function(params) {
    },
    /* 礼物滚屏 */
    "302" : function(params) {
    },
    "306" : function(params) {
    },
    /* 发送广播失败调用 */
    "401" : function(params) {
    },
    /* 广播 */
    "402" : function(params) {
    },
    /* 更新用户列表 */
    "403" : function(params) {
    },
    /*主播结束直播返回时长和元宝数*/
    "404" : function(params) {
    },
    /* 副麦上麦成功后返回fms地址 */
    "405" : function(params) {
    },
    /*
     * 修改副麦实时我播币余额
     */
    "407" : function(params) {
        
    },
    /* 返回登陆用户的信息 */
    "408" : function(params) {
    },
    /*
     * 更新在线用户数量
     */
    "409":function(params){
    },
    /*
     * 添加管理接口
     */
    "410" : function(params) {
        
    },
    /*
     * 盖章，添加勋章，禁言等接口
     */
    "411" : function(params) {
        
    },
    "475" : function(params) {
    },
    /*
     * HC房间广播
     */
    "476" : function(params) {
        params = params.content;
        eval(params.method)(params.msg);
    },
    /*
     * 通用飞屏接口
     */
    "491" : function(params) {
    },
    "501" : function(params) {
    },
    "502" : function(params) {
    },
    /*
     * 用户进房间
     */
    "503" : function(params) {
        
    },
    "504" : function(params) {
        
    },
    "505" : function(params) {
        
    },
    /*
     * 更新库存
     */
    "506" : function(params) {
        
    },
    /*
     * 幸运礼物中奖飞屏
     */
    "582" : function(params) {
        var params = params.content;
        GifShow.SetGiftShow(params);
    },
    /*
     * 发彩条
     */
    "508" : function(params) {
        var obj = params.content;
        var str = '<span class="t_fk01">';
        var nick_class = 'vname_fk';
        str += Aptime.stoHoursEx((obj.t / 1000)) + '</span>';
        str += Utils.getUserMsgStr({uid:obj.fUId, unick:obj.fNick, vip:obj.fv, cool_id:obj.fs, mList:obj.fmList});
        str += '</span>表示 ';
        str += Model_Par.ColorList[obj.num].path;
        Room.Chart.ShowPublicMsg(str, 'dialogue_fk');
    },
    "555" : function(params) {
        
    },
    /*
     * 返回停车位列表
     */
    "570" : function(params) {
        
    },
    /*
     * 播放进场SWF动画
     */
    "571" : function(params) {
        
    },
    /*
     * 换车位确认
     */
    "572" : function(params) {
        
    },
    /*
     * 进场自动停车
     */
    "573" : function(params) {
        
    },
    
	/*****************春节活动 开始*******************/
	/* 送礼物后的相关处理 春节活动添加，以后都是用此调用*/
	"581" : function(params) {
		var obj = params.content;
		GifShow.SetGiftShow(obj);
	},
	 /* 公聊栏显示的消息 */
        "583" : function(params) {
            var obj = params.content;
            if(obj.activity == 'qj'){
                var msg = '<p class="red">【系统消息】';
                switch (obj.gi){
                    case 5:
                        var prize = Goodes.Pres[48];
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank">恭喜“' +obj.fn +'”在拳击赛活动中获得价值'+ prize.gold + '秀币的'+prize.title + '一个</a></p>';
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/qj/box-chat02.jpg" alt="拳击赛活动"></a>';
                        break;
                    case 6:
                        var prize = Goodes.Pres[30];
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank">恭喜“' +obj.fn +'”在拳击赛活动中获得价值'+ prize.gold + '秀币的'+prize.title + '一个</a></p>';
                        msg += '<a href="http://www.xiu8.com//activity-quanji" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/qj/box-chat03.jpg" alt="拳击赛活动"></a>';
                        break;
                    case 7:
                        var prize = Goodes.Pres[41];
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank">恭喜“' + obj.fn +'”在拳击赛活动中获得价值'+ prize.gold + '秀币的'+prize.title + '一个</a></p>';
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/qj/box-chat04.jpg" alt="拳击赛活动"></a>';
                        break;
                    case 8:
                        var prize = Goodes.Pres[182];
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank">恭喜“' +obj.fn +'”在拳击赛活动中获得一百万秀币奖励</a></p>';
                        msg += '<a href="http://www.xiu8.com/activity-quanji" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/qj/box-chat05.jpg" alt="拳击赛活动"></a>';
                        break;
                }

                Room.Chart.ShowPublicMsg(msg);
            } else if(obj.activity == 'heart' && obj.currentStep == 1){
                var msg = '<p class="qxd_zb">【系统消息】<a>'+ obj.rn +'<span style="color:">直播间的 全民“心”动  即将开启！</span></a></p><a><img src="http://www.xiu8.com/assets/img/qm_xt_zb01.gif" width="358" height="50"></a>';
                Room.Chart.ShowPublicMsg(msg);
            } else if(obj.activity == '51'){
                var prize = Goodes.Pres[obj.gi];
                var msg = '<p class="red">【系统消息】<a href="http://www.xiu8.com/activity-labour" target="_blank">中奖啦！秀吧送给“' +obj.fn +'”' + obj.gn +'个“' + prize.title +'”<em class="gf_s gsid_' + obj.gi + '"></em>，礼物价值' + (parseInt(obj.gn,10) * prize.gold) + '秀币</a></p>';
                switch (obj.gi){
                    case 222://幸福果园
                        msg += '<a href="http://www.xiu8.com/activity-labour" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/farmer/garden.jpg" alt="快乐农场主"></a>';
                        break;
                    case 223://浪漫乡村庄园
                        msg += '<a href="http://www.xiu8.com/activity-labour" target="_blank"><img style="height:50px;" src="http://www.xiu8.com/assets/img/activity/farmer/manor.jpg" alt="快乐农场主"></a>';
                        break;
                }

                Room.Chart.ShowPublicMsg(msg);
            }
        },
	/* 私聊栏显示的消息 */
	"584" : function(params) {
		var str = '【系统消息】新年时刻开启啦，超值大奖即将送出';
		Room.Chart.ShowPrivMsg(str,'red');
	},

	/*****************春节活动 结束*******************/
    
    /*
     *发射火箭
     */
    "590" : function(params) {
        
    },
	 /* 用户列表 */
      "591" : function(params) {
        // UserList.InitUserList(params);
      },

		   /* 管理员列表 */
        "592" : function(params) {
          //  UserList.InitAdminList(params);
        },
    "601" : function (params) {
        //alert("您的账户已在别处登录此房间，您被迫下线！");
    },
    /*
     * 房间转移后刷新页面
     */
    "602" : function(params) {
        
    },
    "700" : function(params) {
        Song.Cmd(params.content);
    },
    "701" : function(params) {
    },
    /*
     * 金蛋总奖池
     */
    "808" : function(params) {
    },
    /*
     * 提出信息
     */
    "938" : function(params) {
        params = params.content;
        var msg = '<span>' + Aptime.stoHoursEx((params.t / 1000)) +'</span>';
        var fUser = Utils.getUserMsgStr({uid:params.fUId, unick:params.fNick, mlv:params.fmlv, vip:params.fv, cool_id:params.fs, mList:params.fmList});
        var tUser = Utils.getUserMsgStr({uid:params.fUId, unick:params.toNick, mlv:params.tmlv, vip:params.tv, cool_id:params.ts, mList:params.tmList});
        if(params.fUId == page.uid) {
            msg += params.msg.replace(':f', '<a class="mname_fk">您</a>').replace(':t',tUser);
        } else if(params.toUId == page.uid) {
            msg += params.msg.replace(':f', fUser).replace(':t', '<a class="mname_fk">您</a>');
            Room.Chart.ShowPrivMsg(msg);
        } else {
            msg += params.msg.replace(':f', fUser).replace(':t',tUser);
        }
        Room.Chart.ShowPublicMsg(msg);
    },
    /*
     * 操作视频的私了提示
     */
    "939" : function(params) {
        params = params.content;
        var msg = '<span>' + Aptime.stoHoursEx((params.t / 1000)) +'</span>';
        var fUser = Utils.getUserMsgStr({uid:params.fUId, unick:params.fNick, mlv:params.fmlv, vip:params.fv, cool_id:params.fs, mList:params.fmList});;
        var tUser = Utils.getUserMsgStr({uid:params.fUId, unick:params.toNick, mlv:params.tmlv, vip:params.tv, cool_id:params.ts, mList:params.tmList});
        
        if(params.fUId == page.uid) {
            msg += params.msg.replace(':f', '<span class="mname_fk">您</span>').replace(':t',tUser);
        } else if(params.toUId == page.uid) {
            msg += params.msg.replace(':f', fUser).replace(':t', '<span class="mname_fk">您</span>');
        } else {
            msg += params.msg.replace(':f', fUser).replace(':t',tUser);
        }
        Room.Chart.ShowPrivMsg(msg);
    },
    "940" : function(params) {
        params = params.content;
        var msg = '';
        switch(params.type) {
            case 1:
                msg += '<span class="xibao">【喜报】</span>';
                break;
            case 2:
                msg += '<span class="newsflash_fk">【快报】</span>';
                break;
            case 3:
                msg += '';
                break;
        }
        var tUser = Utils.getUserMsgStr({uid:params.toUId, unick:params.toNick, mlv:params.tmlv, vip:params.tv, cool_id:params.ts, mList:[]});;
        
        var game = '';
        switch(params.src) {
            case 101://水果忍者
                game += ' <img src="' + url_static +  '/images1/ico/lv/blank.gif" class="i_g">';
                game += '<a class="i_game" href="' + params.url + '">水果忍者</a>';
                break;
            case 102://幸运卅秒
                game += ' <img src="' + url_static + '/images1/ico/lv/blank.gif" class="i_g">';
                game += '<a class="i_game" href="' + params.url + '">幸运卅秒</a>';
                break;
            case 201://幸运礼物
                game += ' <a class="i_game" href="' + params.url + '">幸运礼物</a>';
                break;
            case 202://幸运砸蛋
                game += ' <img src="' + url_static + '/images1/ico/lv/blank.gif" class="i_g">';
                game += '<a class="i_game" href="' + params.url + '">幸运砸蛋</a>';
                break;
            case 301://欢乐转盘
                game += ' <img src="' + url_static + '/images1/ico/lv/blank.gif" class="i_g">';
                game += '<a class="i_game" href="' + params.url + '">欢乐转盘</a>';
                break;
            case 302://节日活动
                game += ' <a class="i_game" href="' + params.url + '">国庆活动</a>';
                break;
        }
        
        var tmStr = '';
        if(typeof(BaseMedal) != 'undefined'
           && params.tmList && params.tmList.length > 0) {
            for(var i = 0; i < params.tmList.length; i++) {
                var m_id = params.tmList[i];
                if(BaseMedal.ico[m_id])
                    tmStr += '<img class="medal_fk01 pop_tips_img" tip_id="' + m_id + '" src="' + BaseMedal.ico[m_id].img_small_path + '" >';
            }
        }
        var gift = "";
        if(params.gid > 0) {
            gift = Goodes.Pres[params.gid].title;
        }
        var award = '<font class="mname_fk">' + params.award + '</font>';
        msg += params.msg.replace(':t',tUser)
        .replace(':x', tmStr)
        .replace(':g', gift)
        .replace(':a', award)
        .replace(':s', game);
        Room.Chart.ShowPublicMsg(msg);
    },
    /*
     * 发放烟火返回结果
     */
    "970" : function(params) {
        /* giftid: 礼物id, avg: 其他用户得的播币, fid 送出人id, fnick：送出nick, fs：送出人靓号, fv：送出人vip, baid：大奖人id, banick：大奖人nick, bigaward：大奖金额, ts：大奖人靓号, tv：大奖人vip */
        params = params.content;
        var swf = Model_Par.GetObjectByID("presSwf");
        if(params.giftid == GifShow.BigFireworks) {
            
        } else if(params.giftid == GifShow.LittleFireworks) {
            var msg = "";
            msg += '<span class="t_fk01">' + Aptime.stoHoursEx((params.t / 1000)) +'</span>';
            if(params.fv > 0) {
                msg += '<img class="mai_r_c_open_wel_vip" src="http://static.5bo.com/images1/ico/lv/v1.gif"  />';
                msg += '<span class="mai_r_c_open_name vip_name" params="{uid:'+params.fid+',unick:\''+params.fnick+'\'}" >'+params.fnick;
            } else {
                msg += '<span class="mai_r_c_open_name" params="{uid:'+params.fid+',unick:\''+params.fnick+'\'}" >'+params.fnick;
            }
            if(params.fs != '' && params.fs > 0) {
                msg += '<img src="http://static.5bo.com//images1/rank/ico.gif" class="mai_r_c_open_cutid" /><em class="mai_r_c_open_name_liang">' + params.fs + '</em>';
            }
            msg += '</span>';
            msg += '送出';
            var img = '<span class="mai_r_c_open_gift gsid_' + params.giftid + '"></span>';
            msg += '<span>' + params.gnum + '个' + Goodes.Pres[params.giftid].title + '</span>' + img + '';
            Room.Chart.ShowPublicMsg(msg);
        }
    }
}
};


/*
 * 对客户端的各种提示
 */
var OnError = {
    /*
     * 错误处理方法：
     * <br>格式：（函数标识ID : 处理函数名）
     */
    err : {
        "101" : "onDel",/* 禁止进入房间 {flag:101,content:""}  这个和109有重复暂时不用*/
        "102" : "onUnMaster",/* 设为管理员 {flag:102,content:操作人的昵称}  onFull*/
        "103" : "onDeMaster",/* 取消管理员 {flag:103,content:操作人的昵称}*/
        "104" : "onRepay",/* 支付返回 {flag:104,content:}  这个暂时不用*/
        "105" : "onShortage", /* 余额不足 {flag:105,content:""}*/
        "106" : "onCallback",/* 操作成功返回 */
        "109" : "onKilled", /* 踢出房间 {flag:104,content:""}*/
        "110" : "onKilleds", /* 踢出房间 {flag:104,content:""}*/
        "111" : "roomFull", /* 房间已满 {flag:104,content:""}*/
        "201" : "onFast",  /* 发言过快 {flag:201,content:""}*/
        "202" : "onDeSay", /*禁言 {flag:202,content:""}*/
        "203" : "onUnSay",/*恢复发言{flag:203,content:""}*/
        "204" : "onUserErr",/*违规操作，踢出房间*/
        "205" : "onClosed",
        "206" : "onNotUser",
        "207" : "onNotPower",/* 权限不足{flag:207,content:提示信息} */
        "301" : "onSysErr",
        "302" : "onAuthErr",
        "305" : "onNotRank",
        "un302" : "onAuthKeyErr",
        "304" : "onNotAllow",/*不允许对方私了*/
        "208" : "onSayFast",
        "402" : "onParsErr",
        "401" : "onParsErr",
        "403" : "onSay", /* 直接提示用户 {flag:403,content:提示信息}*/
        "404" : "stopAlive", /*停止直播返回时长和元宝*/
        "405" : "buyCar",
        "411" : "onConfirm", /* 所有需要确认的返回 */
        "545" : "onSysWorring",
        "601" : "onUnlogin" /*强制退出登陆*/
    },
    /*
     * 对外公共提示调用函数
     * @param params:提示对象
     */
    ParseErr:function(params){
    },
    /* 操作成功返回--操作人 */
    onCallback : function(params){
        alert(params);
    },
    /*
     * 被禁止进入房间
     */
    onDel:function(params){
       alert('您已被踢出房间');
    },
    /*
     * 设为管理员
     */
    onUnMaster:function(params){
        alert('设置您为房间管理员');
    },
     /* 取消管理 */
    onDeMaster:function(params){
        alert('取消您的房间管理员资格');
    },
    /*
     * 支付返回
     */
    onRepay:function(params){

    },
    /*
     * 私有直播处理[需要输入密码的房间]
     */
    onPwd:function(params){

    },
    /*
     * 余额不足
     */
    onShortage:function(params){
        /* 弹出自定义提示框，提示用户余额不足 */
    	alert.Show('您的余额不足，请先到充值商城充值');
    },
    /*
     * 被踢出房间[当前在房间里面]
     */
    onKilled:function(params){
       alert('您已被踢出房间');
    },
    /*
     * 被踢出房间[重新登陆房间]
     */
    onKilleds:function(params){
        alert('您被禁止进入该房间');
    },
    /*
     * 提示用户房间已满
     */
    roomFull:function(params){
    },
    /*
     * 发言过快提示
     */
    onFast:function(){
        alert('发言过快，请稍候再发');
    },
    /*
     * 禁止发言
     */
    onDeSay:function(){
        alert('您被禁言5分钟');
    },
    /*
     * 恢复发言
     */
    onUnSay:function(){
        alert('禁言被取消');
    },
    /*
     * 违规操作，被踢出房间
     */
    onUserErr:function(params){
       alert(params);
    },
    /*
     * 关闭房间
     */
    onClosed:function(params){

    },
    /*
     * 重新连接服务器
     */
    onNotUser:function(params){
    },
    /*
     * 权限提示
     */
    onNotPower:function(params){
        alert(params);
    },
    onSayFast:function(params){
        alert(params);
    },
    /*
     * 程序异常提示
     */
    onSysErr:function(params){
        alert('403-程序异常');
    },
    onAuthErr:function(params){
        /* 暂时不做处理 */
    },
    /*
     * 向服务端发一空的消息
     */
    onAuthKeyErr:function(params){

    },
    /*
     * 提示不允许私聊
     */
    onNotAllow:function(params){
        alert('对方不允许私聊');
    },
    /*
     * 等级未达到房间设置的最低进入等级
     */
    onNotRank:function(params){
    },
    onParsErr:function(params){
    },
    /*
     * 客户端直接提示
     */
    onSay:function(params){
        alert(params);
    },
    goToRoom:function(){
    },
    /*
     *停止直播返回消息
     */
    stopAlive:function(params) {

    },
    buyCar : function(params) {

    },
    onConfirm : function(params) {

    },
    /*
     * 超管违规提示
     */
    onSysWorring:function(params) {

    }
};

/*
 * 聊天信息处理
 */
Room.Chart = {
    DoCmdCenter : function(event){
        var evt = event || window.event;
        var element = evt.srcElement || evt.target;
        if(element.getAttribute("params")){
            var p = eval('(' + element.getAttribute("params") + ')');
            var uid = p.uid;
            var unick = p.unick;
            callPhoneClickUser(uid, unick);
        }
    },
	/*
     * 设置公聊框信息
     */
SetPublicMsg:function(obj){
    /*{"fNick":"flyfish023","toNick":"tianya2023","fUId":35444613,"toUId":35444667,"msg":"ghfgh","t":1316853532093,"priv":"000"}}}*/
    obj = obj.content;
	
    var str = '<span class="t_fk01">';
    if(obj.priv == "001"){
        str += Aptime.stoHoursEx((obj.t / 1000)) + ' </span>';
        if(obj.fUId == page.uid){
            str += '<span class="mname_fk">您</span>对 ';
            str += Utils.getUserMsgStr({uid:obj.toUId, unick:obj.toNick, vip:obj.tv, cool_id:obj.ts, mList:obj.tmList});
            str += '悄悄说：';
        } else {
            str += Utils.getUserMsgStr({uid: obj.fUId, unick: obj.fNick, vip:obj.fv, cool_id: obj.fs, mList:obj.fmList});
            str += '对<span class="mname_fk">您</span>悄悄说：';
        }
        str += Room.Face.ParseFaceSymobls(obj.msg);
        this.ShowPrivMsg(str, 'talk');
    }
    else{
        str += Aptime.stoHoursEx((obj.t / 1000)) + '</span> ';
        str += Utils.getUserMsgStr({uid: obj.fUId, unick: obj.fNick, vip:obj.fv, cool_id: obj.fs, mList:obj.fmList});
       
        if(obj.toUId == 0){/*所有人*/
            str += '</span>说：';
        }
        else{/*指定某人*/
            str += '</span>对 ';
            str += Utils.getUserMsgStr({uid:obj.toUId, unick:obj.toNick, vip:obj.tv, cool_id:obj.ts, mList:obj.tmList});
            str += '说：';
        }
        str += Room.Face.ParseFaceSymobls(obj.msg);
		
        this.ShowPublicMsg(str, 'talk');
    }
    delete str;
    str = null;
    Destroy();
},
	/*
     * 显示公聊消息
     */
ShowPublicMsg:function(msg, css){
    if (null == Room.Chart.PublicDom) {
        Room.Chart.PublicDom = document.getElementById("public_chart");
    }
    var a = Room.Chart.PublicDom.childNodes;
    var p = document.createElement("p");
    if(css) {
        p.className = css;
    }
    if(Room.Chart.PublicNoteNo > Room.Chart.PublicLength){
        a[0].innerHTML = "";
        Room.Chart.PublicDom.removeChild(a[0]);
        Room.Chart.PublicNoteNo=100;
    }
    
    $(p).html(msg);
    Room.Chart.PublicDom.appendChild(p);
    p = null;
    Room.Chart.PublicNoteNo += 1;
    document.body.scrollTop = document.body.scrollHeight;
    Destroy();
    if (Model_Par.scroll_public) {
        Room.Chart.PublicDom.scrollTop = Room.Chart.PublicDom.scrollHeight;
    }
},
	/*
     * 显示私聊信息
     */
ShowPrivMsg:function(msg, css){
    
    if (null == Room.Chart.PrivDom) {
        Room.Chart.PrivDom = document.getElementById("div_chart_pri");
    }
    var a = Room.Chart.PrivDom.childNodes;
    var p = document.createElement("p");
    if(css) {
        p.className = css;
    }
    if(Room.Chart.PrivNoteNo > Room.Chart.PublicLength){
        a[0].innerHTML = "";
        Room.Chart.PrivDom.removeChild(a[0]);
        Room.Chart.PrivNoteNo=100;
    }
    $(p).html(msg);
    Room.Chart.PrivDom.appendChild(p);
    p = null;
    Room.Chart.PrivNoteNo += 1;
    
    Destroy();
    if(Model_Par.srcoll_private){
        Room.Chart.PrivDom.scrollTop = Room.Chart.PrivDom.scrollHeight;
    }
  
    
},
	/*
     * 房间系统消息处理
     */
    CallBack_SysNotes:function(params){
        var content = params.content;
        switch(params.typeID){
            case "101": /*踢出房间*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,tm:时间刻度}*/
                var tm = '"'+ content.tonick+'" 被 "'+content.fnick+'" 踢出房间';
                this.ShowPublicMsg(tm, "red");
                break;
            case "102": /*禁言5分钟*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,tm:时间刻度}*/
                var tm = ''+ content.tonick+'" 被管理员 "'+content.fnick+'" 禁言';
                this.ShowPublicMsg(tm, "red");
                break;
            case "103": /*恢复发言*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,tm:时间刻度}*/
                var tm = '"'+ content.tonick+'" 被 "'+content.fnick+'" 恢复了发言权限';
                this.ShowPublicMsg(tm, "red");
                break;
            case "104": /*设为管理*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,tm:时间刻度}*/
                var tm = '"'+ content.tonick+'" 被 "'+content.fnick+'" 提升为房间管理员';
                this.ShowPublicMsg(tm, "red");
                break;
            case "105": /*取消管理*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,tm:时间刻度}*/
                var tm = '"'+ content.tonick+'" 的房间管理员资格被 "'+content.fnick+'" 取消';
                this.ShowPublicMsg(tm, "red");
                break;
            case "106": /*发送礼物*/
                /*content:{fuid:发送人编号,touid:接收人编号,fnick:发送人昵称,tonick:接收人昵称,fid:礼物编号,fnum:礼物数量,tm:时间刻度,t:是否发送给主播的 1=是}*/
                break;
            case "107": /*盖章*/
                /*content:{fuid:操作人编号,touid:被操作人编号,fnick:操作人昵称,tonick:被操作人昵称,fid:盖章的礼物编号,tm:时间刻度}*/
                var tm = '<span>' + Aptime.stoHoursEx((content.tm / 1000))+'</span>';
                tm += Utils.getUserMsgStr({uid:content.fuid, unick:content.fnick, vip:content.fv, cool_id:content.fs, mList:content.fmList});
                tm += '给';
                tm += Utils.getUserMsgStr({uid:content.touid, unick:content.tonick, vip:content.tv, cool_id:content.ts, mList:content.tmList});
                tm += '<span>盖上了</span><em class="vn_' + content.fid + '"></em>';
                this.ShowPublicMsg(tm);
                break;
            case "108": /*飞屏*/
                break;
            case "109":/*副麦上麦*/
                /*content:{uid:编号,nick:昵称,tm:时间刻度}*/
                break;
            case "110":/*副麦下麦*/
                /*content:{uid:编号,nick:昵称,tm:时间刻度}*/
                break;
            case "111":/*主播开播*/
                break;
            case "112":/*主播停播*/
                break;
            case "113":/*修改房间主题返回*/
                break;
            case "114":/* 房间公聊设置返回 */
                page.PublicChart = content.flag;
                if(content.t && content.t != 1){
                    var a = null;
                    var title = "";
                    if(UserList.MyPrv[7] < 2 && page.uid != page.puid) {
                        title = "消费等级升级到2富后无发言限制";
                    }
                    if(content.flag == 1) {
                        a = "已开启公聊文字聊天";
                        $('#Show_Close_Public').hide();
                    } else {
                        a = "已关闭公聊文字聊天";
                        $('#Show_Close_Public').show();
                        title = "已关闭公聊文字聊天";
                    }
                    var tm = '主播 "'+ content.m+'" '+ a + '';
                    this.ShowPublicMsg(tm, "red");
                    
                    var b = null;
                    if(content.guest) {
                        b = "开启游客进场显示";
                    } else {
                        b = "关闭游客进场显示";
                    }
                    tm = '主播 "'+ content.m+'" '+ b + '';
                    this.ShowPublicMsg(tm, "red");
                    
                    var c = null;
                    if(content.pc > 0) {
                        title = Medal.GetLvName(content.pc) + "以下富豪不能私聊";
                        c = "设置不接受" + Medal.GetLvName(content.pc) + "以下富豪私聊信息";
                    } else {
                        c= "关闭了私聊等级限制";
                    }
                    if(title != "") {
                        $('#CHAT_NOTE > a').html(title);
                        $('#CHAT_NOTE').show();
                    } else {
                        $('#CHAT_NOTE').hide();
                    }
                    tm = '主播 "'+ content.m+'" '+ c + '';
                    this.ShowPublicMsg(tm, "red");
                }
                break;
           case "299":/*查询返回世界发布信息*/
                break;
        }
    }
}


Room.Face = {
    /*
     *  将字符串中的 表情符号替换为 Image标签
     *  <br>替换聊天中表情为可以显示的url地址串（替换c串中包含的FaceSymbols的元素，把该元素直接转换成可以直接显示的url地址）。
     *  @param c: 要替换的字符串
     *  @return c
     */
    ParseFaceSymobls:function(c) {
        for(var d in Model_Par.FaceSymbols) {
            var u='/'+Model_Par.FaceSymbols[d].use+':'+ Model_Par.FaceSymbols[d].t;
            c=c.replace(new RegExp(u,"g"),'<img align="absmiddle" src="'+Model_Par.FaceUrl+d+'.gif"/>');
        }
        return c;
    }
};

/*
 * 礼物处理
 */
var GifShow ={
    BigFireworks : 603,
    LittleFireworks : 602,
    /*
     * 节日礼物
     */
    holidayGifts : {
        smallGift  : {id:664,name:'花好月圆'},
        normalGift : {id:662,name:'爱心月饼'},
        superGift  : {id:667,name:'共揽明月'}
    },
	/*
     * 礼物显示处理
     */
SetGiftShow:function(obj){
    obj.tn = unescape(obj.tn);
    obj.fn = unescape(obj.fn);
    if(obj.isluckgift != true
       || (obj.isluckgift == true && page.rid == obj.ri)) {
        var img = '';
        var msg = "";
        var num = obj.gn > 49 ? 49 : obj.gn;
        for(var i=0; i<num; i++){
            img += '<em class="gf_s gsid_' + obj.gi + '"></em>';
        }
        msg += '<span class="t_fk01">' + Aptime.stoHoursEx((obj.t / 1000)) +' </span>';
        msg += Utils.getUserMsgStr({uid:obj.fi, unick:obj.fn, vip:obj.fv, cool_id:obj.fs, mList:obj.fm});
        msg += '送给 ';
        msg += Utils.getUserMsgStr({uid:obj.ti, unick:obj.tn, vip:obj.tv, cool_id:obj.ts, mList:obj.tm});
        msg += ' ';
        msg += obj.gn + '个' + Goodes.Pres[obj.gi].title + " " + img;
        
        if(obj.isluckgift == true){
            if(obj.award && obj.award.length > 0) {
                Room.Chart.ShowPublicMsg(msg, "gray9");
                msg = "";
                msg += '<span class="xibao">【喜报】</span>';
                msg += '恭喜 ';
                msg += Utils.getUserMsgStr({uid:obj.fi, unick:obj.fn, vip:obj.fv, cool_id:obj.fs, mList:obj.fm});
                msg += '从送出的 ' + obj.gn + '个';
				if(!!Goodes.Pres[obj.gi]){
                            msg += '<img src="http://static.5bo.com/images1/ico/lv/blank.gif" class="gf_s gsid_' + obj.gi + '">' + Goodes.Pres[obj.gi].title + '中 喜中';
                        } else {
                            msg += '<img src="http://static.5bo.com/images1/ico/lv/blank.gif" class="gf_s gsid_' + obj.gi + '">' + Goodes.BasePres[obj.gi].title + '中 喜中';
                        }
               $.each(obj.award,function(i,item){
                       if(item.multiple == 2) {
                       msg += '<span class="mai_r_c_open_c1">2倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 5) {
                       msg += '<span class="mai_r_c_open_c2">5倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 10) {
                       msg += '<span class="mai_r_c_open_wel">10倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 50) {
                       msg += '<span class="mai_r_c_open_c3">50倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 100) {
                       msg += '<span class="mai_r_c_open_c4">100倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 500) {
                       msg += '<span class="mai_r_c_open_c4">500倍奖' + item.num + '个</span>';
                       }
                       if(item.multiple == 1000) {
                       msg += '<span class="mai_r_c_open_c4">1000倍奖' + item.num + '个</span>';
                       }
                       if(i < obj.award.length - 1) {
                       msg += '，';
                       }
                       });
                if(parseInt(obj.winAmt) > 0) {
                    msg += '，获得 <font class="mname_fk">' + obj.winAmt + '</font>秀币';
                }
            } else if(obj.flower > 0) {
                msg += '<span class="mai_r_c_open_c4">获得幸运返奖' + obj.bonus + '秀币</span>';
            } else {
                var cnt = "";
                if(obj.mgcnt > 0) {//小奖：奖牌、任务道具等
                    cnt += '<span class="mai_r_c_open_gift gsid_' + GifShow.holidayGifts.smallGift.id + '"></span>' + GifShow.holidayGifts.smallGift.name + '*' + obj.mgcnt + ',';
                }
                if(obj.cgcnt > 0) {//一般奖项，道具等
                    cnt += '<span class="mai_r_c_open_gift gsid_' + GifShow.holidayGifts.normalGift.id + '"></span>' + GifShow.holidayGifts.normalGift.name + '*' + obj.cgcnt + ',';
                }
                if(obj.sgcnt > 0) {//超级大奖，SWF
                    cnt += '<span class="mai_r_c_open_gift gsid_' + GifShow.holidayGifts.superGift.id + '"></span>' + GifShow.holidayGifts.superGift.name + '*' + obj.sgcnt + ',';
                    var swf_t = Model_Par.GetObjectByID("presSwf");
                    if(swf_t && swf_t.receivejsMessage) {
                        PreSwf.show();
                        swf_t.receivejsMessage(GifShow.holidayGifts.superGift.id, obj.sgcnt, {rid: page.rid,str:"str_kiss",userName:'幸运大使'});
                    }
                }
                if(cnt.length > 0) {
                    msg += ',恭喜中奖' + cnt.substring(0, cnt.length - 1);
                }
            }
        } else if(obj.activity == 'v'){//处理情人节礼物
            if(obj.jz > 0){
                msg += ',获得'+obj.jz+'张君子证'+'<img alt="君子证" src="'+ Goodes.Pres[166].u1 +'">';	
            } else if(obj.tf > 0){
                msg += ',获得'+obj.tf+'张土匪证'+'<img alt="土匪证" src="'+ Goodes.Pres[165].u1 +'">';	
            }
            
            if(obj.xj > 0){
                msg += ',喜中'+obj.xj+'个小家碧玉<em class="gf_s gsid_167"></em>';	
            } else if(obj.qg > 0){
                msg += ',喜中'+obj.qg+'个倾国倾城<em class="gf_s gsid_168"></em>';
            }
        }
        Room.Chart.ShowPublicMsg(msg, "gray9");
    }
}
}



/*
 * 礼物
 */
var Goodes={
    /*
     * 印章类型
     */
    NotesType:{},
    /*
     * 礼物类型
     */
    PresType:{},
    /*
     * 礼物详细项
     */
    Pres:{},
    /*
     * 库存礼物
     */
    BasePres:{},
    /*
     * 热门礼物
     */
    HotPres:{},
    init : function(data) {	
        $.each(data.Pres,function(i,v){
            v.u1 = url_static + "/goods/"+v.u1;
            v.u2 = url_static + "/goods/"+v.u2;
            if(v.hot == 1 || v.use == 4) {
                Goodes.HotPres[v.id] = v;
            }
        });
        Goodes.NotesType = data.NotesType;
        Goodes.PresType = data.PresType;
        Goodes.Pres = data.Pres;
		
    }
};

var Utils = {
	click : function(e_id) {
		if(document.all)
	    {
	        document.getElementById(e_id).click();
	    }
	    else
	    {
	        var evt = document.createEvent("MouseEvents");
	        evt.initEvent("click", true, true);
	        document.getElementById(e_id).dispatchEvent(evt);
	    }
	},
	getUserMsgStr : function(obj) {
		var user = "";
		if(!obj.uid) {
			return user;
		}
        //		if(obj.uid.indexOf('999444') != -1) {
        //			user = '\"' + obj.unick + '\"';
        //			return user;
        //		}
        var nick_class = "link_user";
	  if(obj.mList&& obj.mList.length > 0) {
	    	for(var i = 0; i < obj.mList.length; i++) {
	    		var m_id = obj.mList[i];
	    		if(m_id.indexOf('role') == 0) {
	    			switch(parseInt(m_id.split("\|")[1])) {
	    				case 1:
	    					user += '<em class="ulvip gf_1" align="absmiddle"></em>';
	    					break;
						case 3:
							user += '<em class="ulvip gf_4" align="absmiddle"></em>';
							break;
	    				case 5:
	    					user += '<em class="ulvip gf_3" align="absmiddle"></em>';
	    					break;
	    				case 8:
	    					user += '<em class="ulvip gf_2" align="absmiddle"></em>';
	    					break;
	    			}
	    		} else if(m_id ==63) {
	    			user += '<em class="safe"></em> ';
	    		} else if(typeof(BaseMedal) != 'undefined' && BaseMedal.ico[m_id]) {
	    			user += '<em class="w_bgall pop_tips_img bgall_s' + m_id +'" tip_id="' + m_id +'" title="' + BaseMedal.ico[m_id].m_name + '"></em>';
	    		}
				
	    	}
        }
        if(parseInt(obj.mlv) >= 1) {
            var mlv = obj.mlv + "";
            if(mlv.length < 2) {
                mlv = "0" + mlv;
            }
            user += '<em class="ul ul' + mlv + '" align="absmiddle"></em>';
        }
        if(obj.vip == true || parseInt(obj.vip) > 0) {
            var class_vip = 'vip';
            if(parseInt(obj.vip) > 1) {
                class_vip = 'vip' + parseInt(obj.vip);
            }
            user += '<em class="ulvip ' + class_vip + '" align="absmiddle"></em>';
            nick_class = nick_class + " red";
        }
        if(obj.cool_id != '' && parseInt(obj.cool_id) > 0) {
            user += '<em class="ulvip liang" align="absmiddle"></em>';
        }
		
        user += '<a href="javascript:void(0)" class="' + nick_class + ' pop_tips_user" params="{uid:' + obj.uid + ',unick:\'' + obj.unick +'\', mlv:' + obj.mlv + '}">' + obj.unick + '</a>';
        
        if(obj.cool_id != '' && parseInt(obj.cool_id) > 0) {
            user += '<span class="purple">(' + obj.cool_id + ')</span>';
        }
        return "\"" + user + "\"";
	}
}

var Song = {
    Cmd : function(params) {
        if(params.result == 0 && parseInt(params.typeID) != 21) {
            return;
        }
        switch(parseInt(params.typeID)){
            case 15 :
                var msg = "主播";
                if(params.content.indexOf('开启') != -1) {
                    msg += "开启了点歌";
                    $('#offSongOrder').html('<i></i>关闭点歌');
                    $('#SHOW_CLOSE_SONG').hide();
                } else {
                    msg += "关闭了点歌";
                    $('#offSongOrder').html('<i></i>开启点歌');
                    $('#SHOW_CLOSE_SONG').show();
                }
                if(Song.inRoom) {
                    Room.Chart.ShowPublicMsg(msg, "red");
                    Song.inRoom = false;
                }
                break;
            case 21 :
                break;
            case 31 :
                break;
            case 11 :
                break;
            case 12 :
                break;
            case 13 :
                break;
            case 41 : //公聊
                var str = "";
                var obj = params.content;
                var fU  = Utils.getUserMsgStr({uid:obj.fUId, unick:obj.fNick, vip:obj.fv, cool_id:obj.fs, mList:obj.fmList});
                if(page.rid == obj.fUId) {
                    var toU = Utils.getUserMsgStr({uid:obj.toUId, unick:obj.toNick, vip:obj.tv, cool_id:obj.ts, mList:obj.tmList});
                    str += fU + " 接受了 " + toU + " 点歌 " + obj.songName;
                } else {
                    str += fU + " 点歌 " + obj.songName;
                }
                Room.Chart.ShowPublicMsg(str, 'gray9');
                break;
            case 42 : //私聊
                var str = "";
                var obj = params.content;
                var fU  = Utils.getUserMsgStr({uid:obj.fUId, unick:obj.fNick, vip:obj.fv, cool_id:obj.fs, mList:obj.fmList});
                var toU = Utils.getUserMsgStr({uid:obj.toUId, unick:obj.toNick, vip:obj.tv, cool_id:obj.ts, mList:obj.tmList});
                str += fU + " 拒绝了 " + toU + " 点歌 " + obj.songName;
                Room.Chart.ShowPrivMsg(str, 'gray9');
                break;
            case 43 : //飞平
                break;
            case 51 :
                break;

        }
    }
}

//手机调用SFS返回接口
var SWFSocket = {
    CallBack:function(content){
        var obj = eval('('+content+')');
        if(obj.flag == "001"){
		  Room.Client.DoJsCenter[obj.content.typeID](obj.content);
        }
        else{
            /*输出错误消息*/
            OnError.ParseErr(obj);
        }
    }
}


//调用手机的点击用户的方法
var callPhoneClickUser = function(uid, unick) {
    //alert(uid + "-" + unick)
	window.android.personClick(uid,unick);
}

function show_reconnet_msg(){
var html_str = "<div style=\"margin:3px 0px 3px 0px;\">&nbsp;" + date_str() + "<span style=\"color:#000000\">聊天服务器连接失败,5s后重连..."+"</span></div>";
	 Room.Chart.ShowPublicMsg(html_str, "red");
}

function show_notice(){
var html_str="<div style=\"margin:3px 0px 3px 0px;\">&nbsp;<span style=\"color:#000000\">【秀吧】请文明聊天，建立和谐愉快的交流环境"+"</span></div>";
 Room.Chart.ShowPublicMsg(html_str, "");
var html_str1="<div style=\"margin:3px 0px 3px 0px;\">&nbsp;<span style=\"color:#000000\">【秀吧】网页版地址：www.xiu8.com"+"</span></div>";
 Room.Chart.ShowPublicMsg(html_str1, "");
}

function date_str() {
	var date = new Date();
	return "&nbsp;&nbsp;"+date.getHours() + ":" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes());
}


var initPanelClick = function() {
    $('#public_chart').click(function(e) {
        if(e.target && e.target.className.indexOf('pop_tips_user') != -1) {
            Room.Chart.DoCmdCenter(e);
        }
    });

    $('#div_chart_pri').click(function(e) {
        if(e.target && e.target.className.indexOf('pop_tips_user') != -1) {
            Room.Chart.DoCmdCenter(e);
        }
    });
}
$(document).ready(function() {
    initPanelClick();
});